<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.conn.testCloseExpiredConnections');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:19:50 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestBasicConnManager.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestBasicConnManager_testCloseExpiredConnections_l4.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=172#src-172" >testCloseExpiredConnections</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:19:42
    </td>
    <td class="graphPercent alignTop">
        0.154    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testCloseExpiredConnections</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.SystemDefaultDnsResolver</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/SystemDefaultDnsResolver.html?id=760#SystemDefaultDnsResolver"             title="SystemDefaultDnsResolver" name="sl-39">org.apache.http.impl.conn.SystemDefaultDnsResolver</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.HttpPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/HttpPoolEntry.html?id=760#HttpPoolEntry"             title="HttpPoolEntry" name="sl-42">org.apache.http.impl.conn.HttpPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8</span>
            80%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="20% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80% Covered" class="barPositive contribBarPositive" style="width: 80%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.BasicClientConnectionManager</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/BasicClientConnectionManager.html?id=760#BasicClientConnectionManager"             title="BasicClientConnectionManager" name="sl-64">org.apache.http.impl.conn.BasicClientConnectionManager</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.516129</span>
            51.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="48.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="51.6% Covered" class="barPositive contribBarPositive" style="width: 51.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.HttpInetSocketAddress</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/HttpInetSocketAddress.html?id=760#HttpInetSocketAddress"             title="HttpInetSocketAddress" name="sl-40">org.apache.http.conn.HttpInetSocketAddress</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45454547</span>
            45.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.5% Covered" class="barPositive contribBarPositive" style="width: 45.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultClientConnection.html?id=760#DefaultClientConnection"             title="DefaultClientConnection" name="sl-72">org.apache.http.impl.conn.DefaultClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.40983605</span>
            41%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="41% Covered" class="barPositive contribBarPositive" style="width: 41%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultClientConnectionOperator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html?id=760#DefaultClientConnectionOperator"             title="DefaultClientConnectionOperator" name="sl-88">org.apache.http.impl.conn.DefaultClientConnectionOperator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.394958</span>
            39.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.5% Covered" class="barPositive contribBarPositive" style="width: 39.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.PlainSocketFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/PlainSocketFactory.html?id=760#PlainSocketFactory"             title="PlainSocketFactory" name="sl-58">org.apache.http.conn.scheme.PlainSocketFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.36363637</span>
            36.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="36.4% Covered" class="barPositive contribBarPositive" style="width: 36.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.SchemeRegistry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html?id=760#SchemeRegistry"             title="SchemeRegistry" name="sl-45">org.apache.http.conn.scheme.SchemeRegistry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2173913</span>
            21.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.7% Covered" class="barPositive contribBarPositive" style="width: 21.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.ManagedClientConnectionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/ManagedClientConnectionImpl.html?id=760#ManagedClientConnectionImpl"             title="ManagedClientConnectionImpl" name="sl-55">org.apache.http.impl.conn.ManagedClientConnectionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2024922</span>
            20.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="79.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="20.2% Covered" class="barPositive contribBarPositive" style="width: 20.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.HttpRoute</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/routing/HttpRoute.html?id=760#HttpRoute"             title="HttpRoute" name="sl-45">org.apache.http.conn.routing.HttpRoute</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.19736843</span>
            19.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.7% Covered" class="barPositive contribBarPositive" style="width: 19.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultHttpResponseParser.html?id=760#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-62">org.apache.http.impl.conn.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.RouteTracker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/routing/RouteTracker.html?id=760#RouteTracker"             title="RouteTracker" name="sl-43">org.apache.http.conn.routing.RouteTracker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.11578947</span>
            11.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.6% Covered" class="barPositive contribBarPositive" style="width: 11.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.scheme.Scheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/scheme/Scheme.html?id=760#Scheme"             title="Scheme" name="sl-50">org.apache.http.conn.scheme.Scheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.05102041</span>
            5.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.1% Covered" class="barPositive contribBarPositive" style="width: 5.1%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:20:27 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
